import { cache, mutate as mutateSWR } from 'swr';
import { inputToKey } from "./internal/utils.js";
export function revalidateHTTPResource(input) {
  return mutateSWR(inputToKey(input)).then(() => void 0);
}
export function mutateHTTPResource(input, fn, shouldRevalidate) {
  return mutateSWR(inputToKey(input), fn, shouldRevalidate);
}
export function clearHTTPResourceCache() {
  cache.clear();
}
export function readCachedHTTPResource(input) {
  return cache.get(inputToKey(input));
}