import { useSWRInfinite } from 'swr';
import { argsToKey, inputToArgs } from "./internal/utils.js";
export function useHTTPInfiniteResource(input, makeParams, fetcher, resourceOptions) {
  var [template, baseParams] = inputToArgs(input);
  return useSWRInfinite((index, prev) => {
    var params = makeParams(index, prev);

    if (!params) {
      return null;
    }

    return argsToKey(template, Object.assign({}, baseParams, params));
  }, (method, url, body) => {
    var options = Object.assign({}, baseParams);

    if (body != null) {
      options.body = body;
    }

    return fetcher(method + " " + url, options);
  }, resourceOptions);
}